Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation
Class SimulatorJobControl

    java.lang.Object
      com.developmentontheedge.jobcontrol.AbstractJobControl
          com.developmentontheedge.jobcontrol.FunctionJobControl
              biouml.plugins.simulation.SimulatorJobControl

All Implemented Interfaces:
  JobControl, java.lang.Runnable

public class SimulatorJobControl
extends FunctionJobControl

Field Summary

Fields inherited from class com.developmentontheedge.jobcontrol.FunctionJobControl
`log`

Fields inherited from class com.developmentontheedge.jobcontrol.AbstractJobControl
`cat, isTerminated, preparedness, runStatus, startedDate, status`

Fields inherited from interface com.developmentontheedge.jobcontrol.JobControl
`COMPLETED, CREATED, PAUSED, RUNNING, TERMINATED_BY_ERROR, TERMINATED_BY_REQUEST`

Constructor Summary
`SimulatorJobControl(org.apache.log4j.Category cat)`
`SimulatorJobControl(org.apache.log4j.Category cat, JobControlListener l)`

Methods inherited from class com.developmentontheedge.jobcontrol.FunctionJobControl
`doRun, functionFinished, functionFinished, functionStarted, functionStarted, functionTerminatedByError`

Methods inherited from class com.developmentontheedge.jobcontrol.AbstractJobControl
`addListener, begin, begin, checkStatus, end, end, exceptionOccured, fireJobPaused, fireJobResumed, fireJobStarted, fireJobTerminated, fireValueChanged, format, format, getCreatedTime, getElapsedTime, getEndedTime, getPreparedness, getRemainedTime, getStartedTime, getStatus, getTextStatus, isStatusTerminated, pause, reset, resetFlags, resultsAreReady, resume, run, setCompleted, setPreparedness, setTerminated, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimulatorJobControl

    public SimulatorJobControl(org.apache.log4j.Category cat)

### SimulatorJobControl

    public SimulatorJobControl(org.apache.log4j.Category cat,
                               JobControlListener l)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.